package cn.ibizlab.businesscentral.core.website.domain;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.math.BigInteger;
import java.util.HashMap;
import java.math.BigDecimal;
import java.text.SimpleDateFormat;
import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.util.ObjectUtils;
import org.springframework.util.DigestUtils;
import cn.ibizlab.businesscentral.util.domain.EntityBase;
import cn.ibizlab.businesscentral.util.annotation.DEField;
import cn.ibizlab.businesscentral.util.enums.DEPredefinedFieldType;
import cn.ibizlab.businesscentral.util.enums.DEFieldDefaultValueType;
import java.io.Serializable;
import lombok.*;
import org.springframework.data.annotation.Transient;


import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.baomidou.mybatisplus.annotation.*;
import cn.ibizlab.businesscentral.util.domain.EntityMP;

/**
 * 实体[网站内容]
 */
@Getter
@Setter
@NoArgsConstructor
@JsonIgnoreProperties(value = "handler")
@TableName(value = "WEBSITECONTENT",resultMap = "WebSiteContentResultMap")
public class WebSiteContent extends EntityMP implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 内容标识
     */
    @DEField(isKeyField=true)
    @TableId(value= "websitecontentid",type=IdType.ASSIGN_UUID)
    @JSONField(name = "websitecontentid")
    @JsonProperty("websitecontentid")
    private String websitecontentid;
    /**
     * 建立人
     */
    @DEField(preType = DEPredefinedFieldType.CREATEMAN)
    @TableField(value = "createman" , fill = FieldFill.INSERT)
    @JSONField(name = "createman")
    @JsonProperty("createman")
    private String createman;
    /**
     * 内容名称
     */
    @TableField(value = "websitecontentname")
    @JSONField(name = "websitecontentname")
    @JsonProperty("websitecontentname")
    private String websitecontentname;
    /**
     * 建立时间
     */
    @DEField(preType = DEPredefinedFieldType.CREATEDATE)
    @TableField(value = "createdate" , fill = FieldFill.INSERT)
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;
    /**
     * 更新时间
     */
    @DEField(preType = DEPredefinedFieldType.UPDATEDATE)
    @TableField(value = "updatedate")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;
    /**
     * 更新人
     */
    @DEField(preType = DEPredefinedFieldType.UPDATEMAN)
    @TableField(value = "updateman")
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    private String updateman;
    /**
     * 网站标识
     */
    @TableField(value = "websiteid")
    @JSONField(name = "websiteid")
    @JsonProperty("websiteid")
    private String websiteid;
    /**
     * 频道标识
     */
    @TableField(value = "websitechannelid")
    @JSONField(name = "websitechannelid")
    @JsonProperty("websitechannelid")
    private String websitechannelid;

    /**
     * 
     */
    @JsonIgnore
    @JSONField(serialize = false)
    @TableField(exist = false)
    private cn.ibizlab.businesscentral.core.website.domain.WebSiteChannel websitechannel;

    /**
     * 
     */
    @JsonIgnore
    @JSONField(serialize = false)
    @TableField(exist = false)
    private cn.ibizlab.businesscentral.core.website.domain.WebSite website;



    /**
     * 设置 [内容名称]
     */
    public void setWebsitecontentname(String websitecontentname){
        this.websitecontentname = websitecontentname ;
        this.modify("websitecontentname",websitecontentname);
    }

    /**
     * 设置 [网站标识]
     */
    public void setWebsiteid(String websiteid){
        this.websiteid = websiteid ;
        this.modify("websiteid",websiteid);
    }

    /**
     * 设置 [频道标识]
     */
    public void setWebsitechannelid(String websitechannelid){
        this.websitechannelid = websitechannelid ;
        this.modify("websitechannelid",websitechannelid);
    }


}


