package cn.ibizlab.businesscentral.core.website.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.businesscentral.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.businesscentral.core.website.domain.WebSiteContent;
/**
 * 关系型数据实体[WebSiteContent] 查询条件对象
 */
@Slf4j
@Data
public class WebSiteContentSearchContext extends QueryWrapperContext<WebSiteContent> {

	private String n_websitecontentname_like;//[内容名称]
	public void setN_websitecontentname_like(String n_websitecontentname_like) {
        this.n_websitecontentname_like = n_websitecontentname_like;
        if(!ObjectUtils.isEmpty(this.n_websitecontentname_like)){
            this.getSearchCond().like("websitecontentname", n_websitecontentname_like);
        }
    }
	private String n_websiteid_eq;//[网站标识]
	public void setN_websiteid_eq(String n_websiteid_eq) {
        this.n_websiteid_eq = n_websiteid_eq;
        if(!ObjectUtils.isEmpty(this.n_websiteid_eq)){
            this.getSearchCond().eq("websiteid", n_websiteid_eq);
        }
    }
	private String n_websitechannelid_eq;//[频道标识]
	public void setN_websitechannelid_eq(String n_websitechannelid_eq) {
        this.n_websitechannelid_eq = n_websitechannelid_eq;
        if(!ObjectUtils.isEmpty(this.n_websitechannelid_eq)){
            this.getSearchCond().eq("websitechannelid", n_websitechannelid_eq);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("websitecontentname", query)   
            );
		 }
	}
}




